# Generated by Django 2.2.6 on 2019-10-12 02:54

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='HostGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Host Group',
                'verbose_name_plural': 'Host Groups',
            },
        ),
        migrations.CreateModel(
            name='Host',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.GenericIPAddressField(unique=True, verbose_name='ipAddress')),
                ('ssh_user', models.CharField(max_length=255, verbose_name='sshUser')),
                ('ssh_passwd', models.CharField(blank=True, max_length=255, null=True, verbose_name='sshPasswd')),
                ('ssh_key', models.TextField(blank=True, null=True, verbose_name='sshKey')),
                ('ssh_port', models.IntegerField(default=22, verbose_name='sshPort')),
                ('system_type', models.CharField(choices=[('LINUX', 'LINUX'), ('MAC', 'MAC'), ('WINDOWS', 'WINDOWS'), ('UNIX', 'UNIX')], max_length=255, verbose_name='systemType')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('create_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='createTime')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='updateTime')),
                ('host_group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='asset.HostGroup', verbose_name='hostGroup')),
            ],
            options={
                'verbose_name': 'Host',
                'verbose_name_plural': 'Hosts',
            },
        ),
    ]
